:root {
    --color_green: #64b84c;
    --color_orange: #f2a51a;
    --text_main: #333;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: "Noto Sans JP", sans-serif, Arial;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    color: var(--color_text);
    margin: 0;
}
a {
    text-decoration: none;
    color: inherit;
}
img {
    vertical-align: top;
    max-width: 100%;
    height: auto;
    -webkit-user-drag: none;
    user-select: none;
}
h2 {
    font-size: 48px;
    margin: 0;
}
span {
    white-space: nowrap;
}
.flex {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}

/* mainImage */
.main-image {
    display: grid;
    place-content: center;
}

/* 右下画像 */
.move {
    z-index: 10;
    position: fixed;
    bottom: 40px;
    right: 40px;
    opacity: 0.8;
    img {
        width: 120px;
        height: auto;
    }
    &:hover {
        opacity: 1;
        transition: 0.3s ease;
        animation:shake 0.5s ease;
    }
}
.go-design {
}
.go-top {
}
.hide {
    display: none;
}
@keyframes shake {
    0%   { transform:translate(0); }
    16%  { transform:translate(15px); }
    32%  { transform:translate(-12px); }
    48%  { transform:translate(10px); }
    64%  { transform:translate(-7px); }
    80%  { transform:translate(5px); }
    96%  { transform:translate(-2px); }
    100% { transform:translate(0); }
}

/* section 共通 */
.section {
    padding: 80px 120px;
    display: grid;
    place-content: center;
}

/* sectoin1 */
#sec-1 {
    padding-block: 40px;
}

/* section2 */
#sec-2 {
    background-color: rgba(97, 183, 73, 0.3);
    color: var(--color_orange);
    text-align: center;

    .sec2-title{
        margin-bottom: 40px;
        -webkit-text-stroke: 4px black;
        paint-order: stroke fill;
        h2 {
            letter-spacing: 0.3rem;
        }
        p {
            -webkit-text-stroke: 1px black
        }
    }
    .step-box {
        margin: 60px 40px;
        :nth-child(4) {
            margin-left: 4px;
        }
    }
    .step-card {
        min-width: 200px;
        color: var(--text_main);
        font-size: 12px;
    }
    .step {
        &:hover {
            scale:1.1;
            transition: all 0.3s ease;
        }
    }
    .arrow {
        margin-bottom: 60px;
        min-width: 100px;
        max-width: 20%;
    }
    .caution {
        color: var(--color_green);
        -webkit-text-stroke: 2px black;
        paint-order: stroke fill;
        padding-top: 20px;
    }
    p {
        text-wrap: nowrap;
    }
    .light {
        &:hover{
            filter: drop-shadow(0 -8mm 6mm rgb(243, 218, 74));
            transition: all 0.3s ease;
        }
    }
}

/* sectin3 */
#sec-3 {
    .sec {
        padding-bottom: 40px;
        &:last-child{
            padding-bottom: 0;
        }
    }
    h2 {
    color: var(--color_green);
    text-align: center;
    -webkit-text-stroke-color: #000;
    -webkit-text-stroke-width: 2px;
    paint-order: stroke;
    margin-bottom: 30px;
    }
    h3 {
    font-weight: bold;
    font-size: 24px;
    -webkit-text-stroke-color: #fff;
    -webkit-text-stroke-width: 2px;
    paint-order: stroke;
    background-color: var(--color_green);
    width: 500px;
    border-radius: 28px;
    height: 80px;
    line-height: 80px;
    margin-block: 36px;
    text-align: center;
    }
    p {
        text-align: center;
        margin: 16px;    
    }
    .type {
        position: relative;
    }
    .icon {
        width: 150px;
        height: 150px;
        float: left;
        position: absolute;
        bottom: auto;
        top: -50px;
        left: -10px;
    }
    span {
    font-size: 18px;
    font-family: Noto Sans JP;
    }
    .box {
        padding: 20px;
        display: flex;
        justify-content: space-around;
        img {
            cursor: pointer;
            box-shadow: 12px 8px 3px 1px rgba(0, 0, 0, 0.3)
        }
    }
    .button-download {
        display: flex;
        justify-content: center;
        margin-top: 32px;
        a {
            background-color: #fff;
            border: var(--text_main) solid 4px;
            padding: 12px 36px;
            border-radius: 8px;
            font-size: 18px;
            transition: background-color 0.3s ease;
            &:hover {
                background-color: var(--color_orange);
            }
            &::after {
                display: inline-block;
                content: url(../img/download-icon.svg);
                margin-left: 6px;
                vertical-align: middle;
                width: 20px;
            }
        }
    }
}

/* footer */
footer {
    padding: 20px;
    background-color: var(--color_green);
    color: #fff;
    h4 {
        font-size: 28px;
        letter-spacing: 0.4rem;
        margin: 8px 0;
        text-align: center;
    }
    p {
        font-size: 16px;
        letter-spacing: 0.125rem;
        margin: 0;
        text-align: center;
    }
    a {
        &:hover {
            color: var(--color_orange);
            transition: 0.3s ease;
        }
    }
    nav {
        margin-bottom: 20px;
        p {
            font-size: 20px;
        }
    }
    .address {
        line-height: 2.5;
        font-size: 14px;
        text-align: center;
        margin-bottom: 40px;
    }
    .copy {
        font-size: 12px;
    }
}

/* 画像拡大モーダル */
#grayDisplay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 100% !important;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  cursor: zoom-out;
}
#grayDisplay img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  max-width: 90%;
  max-height: 90%;
  height: 90%;
  object-fit: contain;
  scale: 1.05;
}.tenpre1 {
    display: flex;
    width: auto;
    justify-content: center;
}
.sec {
    width: 40%;
    margin: 0 50px;
}
.tenpre2 {
    display: flex;
    justify-content: center;
}
.sec .box img {
    padding: 0 10px;

}
#sec-2 .sec2-title h2 {
    margin: -30px 0px -50px;


}
#sec-2 .flex.step-box .step-card {
    margin-top: -50px;
}
.flex.step-box .step-card p {
    font-size: large;
}
#sec-3 h2 {
    margin-top: -50px;
    padding-bottom: 0px;
    margin-bottom: 20px;

}
